com.ihr.xbrl.om

## Interface XBRLCompilableProcessor

- All Superinterfaces:
    XBRLPlugInProcessor
  All Known Implementing Classes:
    AutoFillProcessor, ExtensibleEnumerationsProcessor, RenderHintsProcessor, XBRLAppPropsProcessor, XBRLFormulaProcessor, XBRLTableProcessor

      public interface XBRLCompilableProcessor
      extends XBRLPlugInProcessor

  This interface defines common methods for XBRL processors that can create complex object models when the DTS has been fully loaded even when validation has not started.

  Examples of compilable processors are the Formula Processor that compiles resources in order to speed-up validation.

  Another example is the Table processor that creates an object model from the resources loaded

  This interface extends the XBRLPlunInProcessor interface in order to use the DTSContainer.PROCESSORS_SEQUENCE and the plug-in registration process with the RS XBRL API

  Author:
    Ignacio
  See Also:
    `XBRLPlugInProcessor`, `DTSContainer.PROCESSORS_SEQUENCE`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLValidationReport` | `compileResources()` Compile resources.
    `void` | `freeUnnecessary()` Liberates resources no longer needed.

    - ### Methods inherited from interface com.ihr.xbrl.om.XBRLPlugInProcessor

      `clear, configure, getDescription, getName, isHidden, validate, validate`

- - ### Method Detail

    - #### compileResources

          XBRLValidationReport compileResources()

      Compile resources.
      Returns:
        the XBRL validation report

    - #### freeUnnecessary

          void freeUnnecessary()
                               throws com.rs.lic.LicenseVerificationException,
                                      XBRLValidationException

      Liberates resources no longer needed.
      Throws:
        `com.rs.lic.LicenseVerificationException` - the license verification exception
        `XBRLValidationException` - the XBRL validation exception